.venn-container {
    position: relative;
    width: 800px;
    height: 600px;
    margin-bottom: 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

/* Style commun pour les cercles */
.circle {
    position: absolute;
    width: 300px;
    height: 300px;
    border-radius: 50%;
    background-size: cover;
    background-position: center;
    opacity: 0.8;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease, z-index 0.3s ease;
    overflow: hidden;
}

.circle::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 112, 60, 0.3); /* Couleur #00703C avec opacité de 0.3 */
    mix-blend-mode: multiply; /* Mélange la couleur de filtre avec l'image de fond */
    pointer-events: none; /* Permet à la souris d'interagir avec le cercle sans interférer avec le filtre */
}
/* Position des cercles */
.circle1 {
    background-image: url('../../assets/img/metiers/croplife-biotechnologie-vegetale.jfif'); /* Remplacez par l'image de votre choix */
    top: 50px;
    left: 100px;
}

.circle2 {
    background-image: url('../../assets/img/metiers/croplife-partenariat-de-pointe-ecologiques.jpg'); /* Remplacez par l'image de votre choix */
    top: 50px;
    left: 350px;
}

.circle3 {
    background-image: url('../../assets/img/metiers/croplife-phytosanitaires.jpg'); /* Remplacez par l'image de votre choix */
    top: 300px;
    left: 100px;
}

.circle4 {
    background-image: url('../../assets/img/metiers/croplife-protection-cultures.png'); /* Remplacez par l'image de votre choix */
    top: 300px;
    left: 350px;
}

/* Contenu à l'intérieur des cercles */
.content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.circle i {
    font-size: 30px; /* Taille de l'icône */
    color: white; /* Couleur de l'icône */
    margin-bottom: 10px;
}

.modal-body-title i {
    font-size: 20px; /* Taille de l'icône */
    color: #00703C; /* Couleur de l'icône */
}

.modal-title {
    font-size: 18px; /* Taille de l'icône */
    color: #fff; /* Couleur de l'icône */
}

.modal-body-title {
    font-size: 18px; /* Taille de l'icône */
    color: #00703C; /* Couleur du titre */
    padding: 5px;
    border-bottom: 2px solid #00703C;
}

.title {
    font-size: 18px;
    font-weight: bold;
    color: #fff; /* Couleur du titre */
}

/* Style pour les cartes de description */
.description {
    position: absolute;
    width: 200px;
    padding: 10px;
    box-sizing: border-box;
}

.description1-left {
    right: calc(90% + 0px); /* Positionne la carte à gauche du cercle avec un espace de 20px */
    top: 30%;
    transform: translateY(-50%);
}

.description2-right {
    left: calc(82% + 20px); /* Positionne la carte à droite du cercle avec un espace de 20px */
    top: 30%;
    transform: translateY(-50%);
}

.description3-left {
    right: calc(90% + 0px); /* Positionne la carte à gauche du cercle avec un espace de 20px */
    top: 70%;
    transform: translateY(-50%);
}

.description4-right {
    left: calc(82% + 20px); /* Positionne la carte à droite du cercle avec un espace de 20px */
    top: 70%;
    transform: translateY(-50%);
}

.description h3 {
    margin-top: 0;
    font-size: 18px;
    text-transform: uppercase;
    color: #00703C;
}

.description p {
    font-size: 14px;
    margin-bottom: 0;
}

.description p a{
    font-size: 12px;
    margin-bottom: 0;
}

.description1-left, .description3-left, .description2-right, .description4-right{
    display: block;
    z-index: 10;
}

.description-mobile{
    display: none;
}

.description-mobile h3{
    margin-top: 0;
    font-size: 18px;
    text-transform: uppercase;
    color: #00703C;
}

.description-mobile p a{
    font-size: 12px;
    margin-bottom: 0;
}

/* Responsive design */
@media (max-width: 1022px) {
    .venn-container {
        width: 700px;
        height: 600px;
    }

    .circle {
        width: 200px;
        height: 200px;
    }

    /* Position des cercles */
    .circle1 {
        top: 120px;
        left: 140px;
    }

    .circle2 {
        top: 120px;
        left: 310px;
    }

    .circle3 {
        top: 290px;
        left: 140px;
    }

    .circle4 {
        top: 290px;
        left: 310px;
    }

    .description1-left {
        right: calc(80% + 20px); /* Positionne la carte à gauche du cercle avec un espace de 20px */
        top: 30%;
        transform: translateY(-50%);
    }

    .description2-right {
        left: calc(75% + 20px); /* Positionne la carte à droite du cercle avec un espace de 20px */
        top: 30%;
        transform: translateY(-50%);
    }

    .description3-left {
        right: calc(80% + 20px); /* Positionne la carte à gauche du cercle avec un espace de 20px */
        top: 70%;
        transform: translateY(-50%);
    }

    .description4-right {
        left: calc(75% + 20px); /* Positionne la carte à droite du cercle avec un espace de 20px */
        top: 70%;
        transform: translateY(-50%);
    }
}

/* Responsive design */
@media (max-width: 840px) {
    .venn-container {
        width: 600px;
        height: 500px;
    }
    
    .circle {
        width: 180px;
        height: 180px;
    }

    /* Position des cercles */
    .circle1 {
        top: 80px;
        left: 40px;
    }

    .circle2 {
        top: 80px;
        left: 190px;
    }

    .circle3 {
        top: 250px;
        left: 40px;
    }

    .circle4 {
        top: 250px;
        left: 190px;
    }

    .description1-left {
        right: calc(80% + 0px); /* Positionne la carte à gauche du cercle avec un espace de 20px */
        top: 30%;
        transform: translateY(-50%);
    }

    .description2-right {
        left: calc(75% + 20px); /* Positionne la carte à droite du cercle avec un espace de 20px */
        top: 30%;
        transform: translateY(-50%);
    }

    .description3-left {
        right: calc(80% + 0px); /* Positionne la carte à gauche du cercle avec un espace de 20px */
        top: 70%;
        transform: translateY(-50%);
    }

    .description4-right {
        left: calc(75% + 20px); /* Positionne la carte à droite du cercle avec un espace de 20px */
        top: 70%;
        transform: translateY(-50%);
    }
}

/* Responsive design */
@media (max-width: 768px) {
    .venn-container {
        flex-direction: column;
        align-items: center;
        height: 400px;
        margin-bottom: 50px;
    }

    .description1-left, .description3-left, .description2-right, .description4-right{
        display: none;
    }
    .description-mobile{
        display: block;
        text-align: center;
    }
    .description {
        text-align: center;
    }

    .description {
        width: auto;
        padding: 10px;
    }
}